# Maintainer: Deron Parker <WkdWeWIyNHVaR1YyUUhCaGNtdGxjbk11WTJNSwo=> # base64 encoded twice
# this is currently not working

pkgname=suricata
pkgver=7.0.5
pkgrel=3
pkgdesc='a network Intrusion Detection System, Intrusion Prevention System and Network Security Monitoring engine'
arch=(x86_64)
url=https://suricata.io/
license=(GPL-2.0-only)
depends=(jansson libpcap pcre2 libyaml zlib)
makedepends=(gcc pkgconf cbindgen)
# you also need cargo and rustc, but it is recommended to use rustup to install those
provides=($pkgname)
conflicts=($pkgname)
source=("$pkgname-$pkgver.tar.gz::https://github.com/OISF/suricata/archive/refs/tags/suricata-$pkgver.tar.gz")
sha512sums=(b32c978f1cf2c5710edf1643b6ec6bd00e66dfeab319c7b0b92bd98c666e959faec478b6fec1fd448aeea25fda4a82fc38f03cdd4315d6e955e8daea772abb8c)
options=(strip !debug)

prepare() {
	cd "$srcdir"
	rm "$pkgname-$pkgname-$pkgver" -vrf
	tar xzvf "$pkgname-$pkgver.tar.gz"
	cd "$pkgname-$pkgname-$pkgver"
	git clone https://github.com/OISF/libhtp
	mkdir -v -p "$pkgdir/usr/local/" "$pkgdir/etc"
	./autogen.sh
	./configure --prefix="$pkgdir/usr/local/"
}

build() {
	cd "$pkgname-$pkgname-$pkgver"
	make
}

package() {
	cd "$pkgname-$pkgname-$pkgver"
	make install
}
